Page MenuHomePhabricator

NWE's 'Show preview' doesn't load in new modules based on added content, e.g. gallery/maps
Closed, ResolvedPublic8 Story Points

Description

Some modules are only loaded if the content requires it. If such content is added in your edit, the module won't be available when you do an async show preview from the save dialog.

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterLoad modules for preview

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedEsanders
OpenNone
OpenNone
ResolvedJules78120
OpenNone
ResolvedDannyH
OpenNone
OpenEsanders
OpenNone
OpenEsanders
OpenNone
ResolvedEsanders
StalledNone
OpenNone

Event Timeline

Esanders created this task.Oct 8 2016, 6:26 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 8 2016, 6:26 AM
AlexMonk-WMF added a subscriber: AlexMonk-WMF.

Yeah... Since we use Parsoid instead of the MW parser for this, it might take a bit of guesswork based on what we get back. The MW api.php action=parse gives a list of the ResourceLoader modules used on the page - Parsoid doesn't.

@ssastry, would Parsoid consider implementing such a thing?

Jdforrester-WMF triaged this task as Normal priority.Oct 11 2016, 7:06 PM
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.
Jdforrester-WMF set the point value for this task to 8.
Jdforrester-WMF added a project: Parsoid.

Change 406770 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Load modules for preview

https://gerrit.wikimedia.org/r/406770

Change 406770 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Load modules for preview

https://gerrit.wikimedia.org/r/406770

Yeah... Since we use Parsoid instead of the MW parser for this, it might take a bit of guesswork based on what we get back. The MW api.php action=parse gives a list of the ResourceLoader modules used on the page - Parsoid doesn't.

Sorry, lost track of this. But, Parsoid does generate the list of modules in the <head> tag but if VE requests content in body_only mode, then it will not see this info. One of the reasons we want to get rid of the body_only option ( T181657 )

Jdforrester-WMF closed this task as Resolved.Jan 30 2018, 7:01 PM
Jdforrester-WMF assigned this task to Esanders.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJan 30 2018, 7:01 PM